View Issue Details

IDProjectCategoryView StatusLast Update
06235Bug reportsSurvey takingpublic2012-06-20 14:08
ReporterTMSWhite Assigned ToTMSWhite  
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version1.92+ 
Fixed in Version1.92+ 
Summary06235: Javascript errors when use equations for min/max num values in Ranking questions
DescriptionEM can be used to support dynamic min/max number of answers for all questions types except for Ranking. User can enter equations for Ranking questions, but throws errors when taking survey.
TagsNo tags attached.
Complete LimeSurvey version number (& build)120613
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql 5.3
Server OS (if known)Windows XP
Webserver software & version (if known)XAMPP
PHP Version5.3

Activities

TMSWhite

TMSWhite

2012-06-19 06:28

reporter   ~19333

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8774
TMSWhite

TMSWhite

2012-06-19 16:03

reporter   ~19361

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8789
TMSWhite

TMSWhite

2012-06-19 18:41

reporter   ~19366

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8796
c_schmitz

c_schmitz

2012-06-20 14:08

administrator   ~19383

New 1.92+ version released.

Related Changesets

LimeSurvey: master d9244e2d

2012-06-18 21:13:40

TMSWhite

Details Diff
Fixed issue 06235: Javascript errors when use equations for min/max num values in Ranking questions Affected Issues
06235
mod - classes/expressions/LimeExpressionManager.php Diff File
mod - qanda.php Diff File

LimeSurvey: master e976d611

2012-06-19 06:47:30

TMSWhite

Details Diff
Fixed issue 06235: Javascript errors when use equations for min/max num values in Ranking questions
Dev Now properly extracts min/max value from compound expressions
Affected Issues
06235
mod - qanda.php Diff File

LimeSurvey: Yii cec93c9d

2012-06-19 09:40:06

TMSWhite

Details Diff
Fixed issue 06235: Javascript errors when use equations for min/max num values in Ranking questions
Dev Now properly extracts min/max value from compound expressions
Fixed issue 06238: array filtering does not work for Ranking questions
Fixed issue Array-filter algorithms for Ranking questions do not appear in Show Logic File
Affected Issues
06235, 06238
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File

Issue History

Date Modified Username Field Change
2012-06-19 06:10 TMSWhite New Issue
2012-06-19 06:28 TMSWhite Changeset attached => LimeSurvey master d9244e2d
2012-06-19 06:28 TMSWhite Note Added: 19333
2012-06-19 06:28 TMSWhite Assigned To => TMSWhite
2012-06-19 06:28 TMSWhite Resolution open => fixed
2012-06-19 06:29 TMSWhite Status new => resolved
2012-06-19 06:29 TMSWhite Fixed in Version => 1.92+
2012-06-19 16:03 TMSWhite Changeset attached => LimeSurvey master e976d611
2012-06-19 16:03 TMSWhite Note Added: 19361
2012-06-19 18:41 TMSWhite Changeset attached => LimeSurvey Yii cec93c9d
2012-06-19 18:41 TMSWhite Note Added: 19366
2012-06-20 14:08 c_schmitz Note Added: 19383
2012-06-20 14:08 c_schmitz Status resolved => closed
2012-07-24 12:38 c_schmitz Relationship added has duplicate 06215
2012-07-24 12:39 c_schmitz Relationship deleted has duplicate 06215